# not using %%{upstream_name} for %%{name}, because most of Source0
# is debian-specific and we don't want that. The only useful thing
# there is hardening-check and that's why package is named so.
%global		upstream_name	hardening-wrapper

Name:		hardening-check
Version:	2.3
Release:	2%{?dist}
Summary:	Tool to check ELF for being built hardened

License:	GPLv2+
URL:		http://packages.debian.org/source/sid/%{upstream_name}
Source0:	http://ftp.debian.org/debian/pool/main/h/%{upstream_name}/%{upstream_name}_%{version}.tar.gz

BuildArch:	noarch
%if 0%{?fedora} >= 19
BuildRequires:	perl-podlators
%endif
Requires:	binutils

%description
%{name} is a tool to check whether an already compiled ELF file
was built using hardening flags.

It checks, using readelf, for these hardening characteristics:

  * Position Independent Executable
  * Stack protected
  * Fortify source functions
  * Read-only relocations
  * Immediate binding


%prep
%setup -q -n %{upstream_name}
# remove debian-specific checks from Makefile
sed -i -e '/^[ \t]*if \[ -z \"\$.DEB_/d' Makefile


%build
make %{?_smp_mflags}


%check
make check


%install
mkdir -p	%{buildroot}%{_bindir} \
		%{buildroot}%{_mandir}/man1
install -pm 0755 build-tree/hardening-check \
		%{buildroot}%{_bindir}
install -pm 0644 build-tree/hardening-check.1 \
		%{buildroot}%{_mandir}/man1


%files
%doc AUTHORS TODO
%doc debian/changelog
%doc debian/copyright
%doc debian/README.Debian
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sun Jun 09 2013 Björn Esser <bjoern.esser@gmail.com> - 2.3-2
- removed BuildRequires: binutils glibc-common
- not renaming docs in debian/
- removed terms to be possibly subject to bitrot from %%description
- as suggested by Ville Skyttä during review

* Fri Jun 07 2013 Björn Esser <bjoern.esser@gmail.com> - 2.3-1
- initial rpm release
